IRremoteESP8266

Public Attributes | List of all members
VestelProtocol Union Reference

Native representation of a Vestel A/C message. More...

`#include <ir_Vestel.h>`

## Public Attributes
struct {
uint64_t cmdState
uint64_t timeState
}; |
struct {
uint64_t Signature:12
uint64_t CmdSum:8
uint64_t Swing:4
uint64_t TurboSleep:4
uint64_t __pad0__:8
uint64_t Temp:4
uint64_t Fan:4
uint64_t Mode:3
uint64_t __pad1__:3
uint64_t Ion:1
uint64_t __pad2__:1
uint64_t Power:2
uint64_t UseCmd:1
uint64_t __pad3__:0
uint64_t __pad4__:12
uint64_t TimeSum:8
uint64_t OffTenMins:3
uint64_t OffHours:5
uint64_t OnTenMins:3
uint64_t OnHours:5
uint64_t Hours:5
uint64_t OnTimer:1
uint64_t OffTimer:1
uint64_t Timer:1
uint64_t Minutes:8
uint64_t __pad5__:0
}; |

## Detailed Description

Native representation of a Vestel A/C message.

## Member Data Documentation

## ◆ @128

struct { ... }

## ◆ @130

struct { ... }

## ◆ __pad0__

uint64_t VestelProtocol::__pad0__

## ◆ __pad1__

uint64_t VestelProtocol::__pad1__

## ◆ __pad2__

uint64_t VestelProtocol::__pad2__

## ◆ __pad3__

uint64_t VestelProtocol::__pad3__

## ◆ __pad4__

uint64_t VestelProtocol::__pad4__

## ◆ __pad5__

uint64_t VestelProtocol::__pad5__

## ◆ cmdState

uint64_t VestelProtocol::cmdState

## ◆ CmdSum

uint64_t VestelProtocol::CmdSum

## ◆ Fan

uint64_t VestelProtocol::Fan

## ◆ Hours

uint64_t VestelProtocol::Hours

## ◆ Ion

uint64_t VestelProtocol::Ion

## ◆ Minutes

uint64_t VestelProtocol::Minutes

## ◆ Mode

uint64_t VestelProtocol::Mode

## ◆ OffHours

uint64_t VestelProtocol::OffHours

## ◆ OffTenMins

uint64_t VestelProtocol::OffTenMins

## ◆ OffTimer

uint64_t VestelProtocol::OffTimer

## ◆ OnHours

uint64_t VestelProtocol::OnHours

## ◆ OnTenMins

uint64_t VestelProtocol::OnTenMins

## ◆ OnTimer

uint64_t VestelProtocol::OnTimer

## ◆ Power

uint64_t VestelProtocol::Power

## ◆ Signature

uint64_t VestelProtocol::Signature

## ◆ Swing

uint64_t VestelProtocol::Swing

## ◆ Temp

uint64_t VestelProtocol::Temp

## ◆ Timer

uint64_t VestelProtocol::Timer

## ◆ timeState

uint64_t VestelProtocol::timeState

## ◆ TimeSum

uint64_t VestelProtocol::TimeSum

## ◆ TurboSleep

uint64_t VestelProtocol::TurboSleep

## ◆ UseCmd

uint64_t VestelProtocol::UseCmd

The documentation for this union was generated from the following file:

- src/ir_Vestel.h